Bouncy Castle Cryptography Library 1.40

## org.bouncycastle.crypto.params
Class ElGamalPublicKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.crypto.params.ElGamalKeyParameters
              org.bouncycastle.crypto.params.ElGamalPublicKeyParameters

All Implemented Interfaces:
  CipherParameters

    public class ElGamalPublicKeyParameters

extends ElGamalKeyParameters

Constructor Summary
`ElGamalPublicKeyParameters(java.math.BigInteger y, ElGamalParameters params)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`java.math.BigInteger` `getY()`
`int` `hashCode()`

Methods inherited from class org.bouncycastle.crypto.params.ElGamalKeyParameters
`getParameters`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElGamalPublicKeyParameters

    public ElGamalPublicKeyParameters(java.math.BigInteger y,
                                      ElGamalParameters params)

Method Detail

### getY

    public java.math.BigInteger getY()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `ElGamalKeyParameters`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `ElGamalKeyParameters`

Bouncy Castle Cryptography Library 1.40